Sanity tests, demo service deployment check fails

Bug #1285562 reported by Sergey Murashov on 2014-02-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Timur Nurlygayanov
4.1.x
High
Timur Nurlygayanov
5.0.x
High
Timur Nurlygayanov

Bug Description

Steps to reproduce:
1. Open Fuel WebUI
2. Deploy Openstack+Murano
3. Navigate to "Health Check"
4. Select "Sanity tests" and "Check that user can deploy Demo service in Murano environment"
5. Click on "Run Tests"

Actual result:
Test "Check that user can deploy Demo service in Murano environment" fails on sixth step
If we choose only test "Check that user can deploy Demo service in Murano environment", this test should correctly pass
I think the root of the problem in parralel launching tests from different test cases. While demo serivce is deploying, sanity checks have passed and sanity check's tearDown method delete environment which contains our demo service

Need to implement several tear down methods for different types of OSTF Murano tests to avoid the problems with the parallel tests execution.

Changed in fuel:
status: New → Confirmed
importance: Undecided → Low
assignee: nobody → Timur Nurlygayanov (tnurlygayanov)
milestone: none → 5.0

It is not critical issue because we have the simple workaroud - we can run the tests suites in separate runs: first step - run sanity OSTF tests, second step - run functional platform OSTF tests.

Changed in fuel:
milestone: 5.0 → 4.1
importance: Low → High
status: Confirmed → In Progress
tags: added: murano
Mike Scherbakov (mihgen) on 2014-02-28
Changed in fuel:
milestone: 4.1 → 5.0

Reviewed: https://review.openstack.org/77124
Committed: https://git.openstack.org/cgit/stackforge/fuel-ostf/commit/?id=56fbc5f10b4f8dbad6eeec0290044caa32e705dc
Submitter: Jenkins
Branch: master

commit 56fbc5f10b4f8dbad6eeec0290044caa32e705dc
Author: TimurNurlygayanov <email address hidden>
Date: Fri Feb 28 14:21:04 2014 +0400

    Fixed issue with parallel tests executions

    Change-Id: I6105cf86044a9dc7763e39046d72d0af8097af4d
    Closes-Bug: #1285562

Changed in fuel:
status: In Progress → Fix Committed
tags: added: in progress
Anastasia Palkina (apalkina) wrote :

Reproduced on ISO #33
"build_id": "2014-03-18_01-01-16",
"mirantis": "yes",
"build_number": "33",
"nailgun_sha": "a5f0a430e4c0f3315d8ea160d4a7a7c83c7d1917",
"ostf_sha": "31c8316d4d9762f280da9e360d3d42e88464aac1",
"fuelmain_sha": "d494e5cf2b8399899f00b5079eec1c5f70c0b66f",
"astute_sha": "a80acd1312be70676f0dd936814b27ce01fb013d",
"release": "5.0",
"fuellib_sha": "0f2765736a2e4af7265eeb936161f0a90cdc9a2e

Problem in https://github.com/stackforge/fuel-ostf/blob/master/fuel_health/murano.py#L49-56

tags: removed: in progress
Changed in fuel:
status: Fix Committed → Triaged

yes, this fix is not complete, need to fix tearDown method:
https://github.com/stackforge/fuel-ostf/blob/master/fuel_health/murano.py#L49-56

Fix proposed to branch: master
Review: https://review.openstack.org/81725

Changed in fuel:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/81725
Committed: https://git.openstack.org/cgit/stackforge/fuel-ostf/commit/?id=8e7a142e3b067287977a6080dfd96601f26db1ee
Submitter: Jenkins
Branch: master

commit 8e7a142e3b067287977a6080dfd96601f26db1ee
Author: TimurNurlygayanov <email address hidden>
Date: Thu Mar 20 11:25:37 2014 +0400

    Fixed issue with parrallel tests execution

    When user runs several types of OSTF tests, these tests can be run
    in parallel and in the result tearDown method deletes all environment
    and some tests will fail. To avoid this we will generate new name
    for each new environment and we should also delete only this environment
    in tearDown method.

    Change-Id: I12f1e797eceefe11dda50ab61aabe15ab9036931
    Closes-Bug: #1285562

Changed in fuel:
status: In Progress → Fix Committed
tags: added: in progress
tags: added: backports-4.1.1
Anastasia Palkina (apalkina) wrote :

Verified on ISO #40
"build_id": "2014-03-25_01-01-50",
"mirantis": "yes",
"build_number": "40",
"nailgun_sha": "3044c2054904525601c921387322a2978e821677",
"ostf_sha": "013c13ab033a6829ca4eeaa2476c30837e814902",
"fuelmain_sha": "f7ee8bcaa3d993395669f2bcae893176ff2b3bbe",
"astute_sha": "d7c6c4d00ffd6e2fa74da442f573e6f39049961e", "
release": "5.0",
"fuellib_sha": "3445ab7550486074ec8e47fdaed869c697991364"

tags: removed: in progress
Changed in fuel:
status: Fix Committed → Fix Released

Fix proposed to branch: stable/4.1
Review: https://review.openstack.org/83155

Reviewed: https://review.openstack.org/83094
Committed: https://git.openstack.org/cgit/stackforge/fuel-ostf/commit/?id=d5d2b3ffd51239ee8811f5a3b6bd417239fdd91a
Submitter: Jenkins
Branch: stable/4.1

commit d5d2b3ffd51239ee8811f5a3b6bd417239fdd91a
Author: TimurNurlygayanov <email address hidden>
Date: Thu Mar 20 11:25:37 2014 +0400

    4.1.1 Fixed issue with parrallel tests execution

    When user runs several types of OSTF tests, these tests can be run
    in parallel and in the result tearDown method deletes all environment
    and some tests will fail. To avoid this we will generate new name
    for each new environment and we should also delete only this environment
    in tearDown method.

    Change-Id: I12f1e797eceefe11dda50ab61aabe15ab9036931
    Closes-Bug: #1285562

Reviewed: https://review.openstack.org/83155
Committed: https://git.openstack.org/cgit/stackforge/fuel-ostf/commit/?id=413d026184b0ea1ccb1bf00432e71fbb4a2b6798
Submitter: Jenkins
Branch: stable/4.1

commit 413d026184b0ea1ccb1bf00432e71fbb4a2b6798
Author: TimurNurlygayanov <email address hidden>
Date: Fri Feb 28 14:21:04 2014 +0400

    4.1.1 Fixed issue with parallel tests executions

    Change harcoded envs name to the random
    in the murano tets

    Change-Id: I6105cf86044a9dc7763e39046d72d0af8097af4d
    Closes-Bug: #1285562

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers